#ifndef RETARGET_H
#define RETARGET_H

#include <sys/stat.h>
#include <stdio.h>


#ifdef HAL
void RetargetInit(UART_HandleTypeDef *huart);

int _write(int fd, char *ptr, int len);

int _read(int fd, char *ptr, int len);
#endif
#endif //#ifndef RETARGET_H